Deployments.ai Docs
Memory

Import governed memory

POST /v1/memory/imports · SDK importMemories · CLI deployments memory import

POST
/v1/memory/imports

Requires memory:write.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
data*array<>
Items1 <= items <= 100
memorySpaceId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
space?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory/imports" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "content": "string",        "scope": "agent"      }    ],    "memorySpaceId": "string"  }'
{}